﻿using System;
using UnityEngine;
using EVM = LanLib.EventManager;

namespace Samples.EventManager
{
    public struct TestEvent
    {
    }

    public class TestSubscribeEvent : MonoBehaviour
    {
        private void Awake()
        {
            EVM.EventManager.Instance.Subscribe<TestEvent>(OnTest);
        }

        private void OnDestroy()
        {
            EVM.EventManager.Instance.Unsubscribe<TestEvent>(OnTest);
        }

        private void OnTest(TestEvent evt)
        {
            print("TestEvent trigger!!!");
        }
    }
}