﻿using Unity.Collections;

namespace LanLib.UpdateManager.Extensions
{
    public static class NativeArrayExtensions
    {
        public static void DisposeIfCreated<T>(this ref NativeArray<T> array)
            where T : struct
        {
            if (array.IsCreated)
            {
                array.Dispose();
            }
        }
    }
}